
Application: gvSIG desktop - gvSIG bugs #4642
Installer is not translated completely
08/30/2017 05:19 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Installer
Target version: 2.4.0-2840 (rev. org.gvsig.desktop-2.0.208)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

If I install gvSIG 2.4 setting Italian as language the installer i18n strings are not translated, except those of the buttons (thanks to
#1532):

installer_i18n.png

Associated revisions
Revision 43523 - 09/25/2017 08:18 PM - Francisco Díaz Carsí

refs #4642 Arregladas algunas cadenas de tradución en el instalador

Revision 43538 - 09/27/2017 07:57 PM - Joaquín  del Cerro Murciano

refs #4642

Revision 43548 - 10/01/2017 09:20 AM - Joaquín  del Cerro Murciano

refs #4642, añadidas traducciones al italiano en el instalador. Gracias a Antonio ;)

History
#1 - 09/25/2017 01:41 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2838 (rev. org.gvsig.desktop-2.0.205)

#2 - 09/25/2017 08:19 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

#3 - 09/27/2017 03:38 PM - Antonio Falciano
- Target version changed from 2.4.0-2838 (rev. org.gvsig.desktop-2.0.205) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from Fixed to New
The i18n strings are translated in English in build 2838, even if I've set Italian as language in the installation. Maybe the *.properties files of
org.gvsig.installer.app.mainplugin should be available for all the languages available for the installer at least. They could be extracted from the 
gvSIG-desktop-2.4.0-2838\i18n\translations.all folder.

#4 - 09/27/2017 06:44 PM - Joaquín  del Cerro Murciano

Que esten disponibles las traducciones a otros idioma a demas del ingles y el español puede ser complicado.
Durante ese momento de la instalacion, aun no se han extraido los archivos de "translations-all", ni de "org.gvsig.app.mainplugin".
Creo que la forma mas simple de añadir esas traducciones serie metiendolas en "i18n/andami" o en el jar "org.gvsig.installer.swing.impl-*.jar".

si no me equivoco las que se han añadido nuevas son:

_Install_required_addons=Install required addons
_Installing_prerequisites_three_dots=Installing prerequisites...
_Cant_install_package=Can't install package
_Loading_packages=Loading packages

Si me pasas las de italiano las metere para el proximo build.

#5 - 09/27/2017 06:45 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 09/27/2017 07:14 PM - Antonio Falciano

Ok, these are the above strings in Italian:

_Install_required_addons=Installazione dei pacchetti obbligatori
_Installing_prerequisites_three_dots=Installazione dei prerequisiti...
_Cant_install_package=Non \u00E8 possibile installare il pacchetto
_Loading_packages=Caricamento dei pacchetti

Sorry for the waste of time.

#7 - 09/27/2017 07:54 PM - Joaquín  del Cerro Murciano

Thank you all the time you invest

#8 - 09/27/2017 08:01 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#9 - 09/29/2017 01:01 PM - Antonio Falciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from Fixed to New

I've just checked in RC2 and it seems that other strings are needed:
gvsig_package_installer=Installatore di pacchetti di gvSIG
_select_installation_mode=Seleziona modalit\u00E0 di installazione
_advanced_installation=Installazione avanzata
_typical_installation=Installazione tipica
_progress=Avanzamento
_Install_package=Installazione dei pacchetti
_finished=Terminato

#10 - 10/01/2017 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2840 (rev. org.gvsig.desktop-2.0.208)

#11 - 10/01/2017 09:22 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#12 - 10/14/2017 08:23 PM - Antonio Falciano
- Status changed from Fixed to Closed
